ChangeSet 1.1392, 2003/06/10 10:53:28-07:00, greg@kroah.com

[PATCH] PCI: remove some pci_bus_b() calls in drivers/pci/power.c


 drivers/pci/power.c |   18 ++++++------------
 1 files changed, 6 insertions(+), 12 deletions(-)


diff -Nru a/drivers/pci/power.c b/drivers/pci/power.c
--- a/drivers/pci/power.c	Tue Jun 10 11:14:55 2003
+++ b/drivers/pci/power.c	Tue Jun 10 11:14:55 2003
@@ -97,12 +97,10 @@
 
 static int pci_pm_save_state(u32 state)
 {
-	struct list_head *list;
-	struct pci_bus *bus;
+	struct pci_bus *bus = NULL;
 	int error = 0;
 
-	list_for_each(list, &pci_root_buses) {
-		bus = pci_bus_b(list);
+	while ((bus = pci_find_next_bus(bus)) != NULL) {
 		error = pci_pm_save_state_bus(bus,state);
 		if (!error)
 			error = pci_pm_save_state_device(bus->self,state);
@@ -112,11 +110,9 @@
 
 static int pci_pm_suspend(u32 state)
 {
-	struct list_head *list;
-	struct pci_bus *bus;
+	struct pci_bus *bus = NULL;
 
-	list_for_each(list, &pci_root_buses) {
-		bus = pci_bus_b(list);
+	while ((bus = pci_find_next_bus(bus)) != NULL) {
 		pci_pm_suspend_bus(bus,state);
 		pci_pm_suspend_device(bus->self,state);
 	}
@@ -125,11 +121,9 @@
 
 static int pci_pm_resume(void)
 {
-	struct list_head *list;
-	struct pci_bus *bus;
+	struct pci_bus *bus = NULL;
 
-	list_for_each(list, &pci_root_buses) {
-		bus = pci_bus_b(list);
+	while ((bus = pci_find_next_bus(bus)) != NULL) {
 		pci_pm_resume_device(bus->self);
 		pci_pm_resume_bus(bus);
 	}
